"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PastCommitNodeStyle_1 = require("../componentsStyle/PastCommitNodeStyle");
const typestyle_1 = require("typestyle");
const React = require("react");
class PastCommitNode extends React.Component {
    constructor(props) {
        super(props);
    }
    getPastCommitNodeClass() {
        if (!this.props.isVisible) {
            return null;
        }
        return this.props.index === -1
            ? typestyle_1.classes(PastCommitNodeStyle_1.pastCommitWorkingNodeStyle, PastCommitNodeStyle_1.pastCommitNodeStyle)
            : typestyle_1.classes(PastCommitNodeStyle_1.pastCommitNodeStyle);
    }
    getPastCommitLineClass() {
        if (!this.props.isVisible) {
            return null;
        }
        return this.props.isLast ? null : typestyle_1.classes(PastCommitNodeStyle_1.pastCommitLineStyle);
    }
    getContent() {
        if (this.props.index === -1) {
            return 'WORKING';
        }
        else if (this.props.index === 0) {
            return 'HEAD';
        }
        else {
            return this.props.index;
        }
    }
    getContentClass() {
        const activeContentStyle = this.props.index === this.props.activeNode
            ? PastCommitNodeStyle_1.pastCommitActiveContentStyle
            : null;
        if (!this.props.isVisible) {
            return null;
        }
        if (this.props.index === -1) {
            return typestyle_1.classes(PastCommitNodeStyle_1.pastCommitWorkingContentStyle, PastCommitNodeStyle_1.pastCommitContentStyle, activeContentStyle);
        }
        else if (this.props.index === 0) {
            return typestyle_1.classes(PastCommitNodeStyle_1.pastCommitHeadContentStyle, PastCommitNodeStyle_1.pastCommitContentStyle, activeContentStyle);
        }
        else {
            return typestyle_1.classes(PastCommitNodeStyle_1.pastCommitNumberContentStyle, PastCommitNodeStyle_1.pastCommitContentStyle, activeContentStyle);
        }
    }
    handleClick() {
        this.props.index === -1
            ? this.props.setShowList(true)
            : (this.props.getPastCommit(this.props.pastCommit, this.props.index, this.props.currentFileBrowserPath),
                this.props.setShowList(false));
        this.props.updateActiveNode(this.props.index);
    }
    render() {
        return (React.createElement("div", { key: this.props.index },
            React.createElement("div", { className: this.getPastCommitNodeClass(), onClick: () => this.handleClick() },
                React.createElement("span", { className: this.getContentClass() }, this.props.isVisible && this.getContent())),
            React.createElement("div", { className: this.getPastCommitLineClass() })));
    }
}
exports.PastCommitNode = PastCommitNode;
