"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FileList_1 = require("./FileList");
const ResetDeleteSingleCommit_1 = require("./ResetDeleteSingleCommit");
const SinglePastCommitInfoStyle_1 = require("../componentsStyle/SinglePastCommitInfoStyle");
const GitStageStyle_1 = require("../componentsStyle/GitStageStyle");
const FileItemStyle_1 = require("../componentsStyle/FileItemStyle");
const React = require("react");
const typestyle_1 = require("typestyle/");
class SinglePastCommitInfo extends React.Component {
    constructor(props) {
        super(props);
        this.showDeleteCommit = () => {
            this.setState({
                displayDelete: true,
                displayReset: false
            });
        };
        this.hideDeleteCommit = () => {
            this.setState({
                displayDelete: false
            });
        };
        this.showResetToCommit = () => {
            this.setState({
                displayReset: true,
                displayDelete: false
            });
        };
        this.hideResetToCommit = () => {
            this.setState({
                displayReset: false
            });
        };
        this.state = {
            displayDelete: false,
            displayReset: false
        };
    }
    render() {
        return (React.createElement("div", null,
            React.createElement("div", { className: SinglePastCommitInfoStyle_1.commitStyle },
                React.createElement("div", null,
                    React.createElement("div", { className: SinglePastCommitInfoStyle_1.commitAuthorLabelStyle },
                        React.createElement("span", { className: SinglePastCommitInfoStyle_1.commitAuthorIconStyle }),
                        this.props.data.author),
                    React.createElement("div", { className: SinglePastCommitInfoStyle_1.commitLabelDateStyle }, this.props.data.date),
                    React.createElement("span", { className: SinglePastCommitInfoStyle_1.commitNumberLabelStyle },
                        "#",
                        this.props.data.commit
                            ? this.props.data.commit.substring(0, 7)
                            : '')),
                React.createElement("div", { className: SinglePastCommitInfoStyle_1.commitLabelMessageStyle }, this.props.data.commit_msg),
                React.createElement("div", { className: SinglePastCommitInfoStyle_1.commitOverviewNumbers },
                    React.createElement("span", null,
                        React.createElement("span", { className: typestyle_1.classes(SinglePastCommitInfoStyle_1.iconStyle, SinglePastCommitInfoStyle_1.numberofChangedFilesStyle) }),
                        this.props.filesChanged),
                    React.createElement("span", null,
                        React.createElement("span", { className: typestyle_1.classes(SinglePastCommitInfoStyle_1.iconStyle, SinglePastCommitInfoStyle_1.insertionIconStyle(this.props.currentTheme)) }),
                        this.props.insertionCount),
                    React.createElement("span", null,
                        React.createElement("span", { className: typestyle_1.classes(SinglePastCommitInfoStyle_1.iconStyle, SinglePastCommitInfoStyle_1.deletionIconStyle(this.props.currentTheme)) }),
                        this.props.deletionCount))),
            React.createElement("div", { className: SinglePastCommitInfoStyle_1.commitDetailStyle },
                React.createElement("div", { className: SinglePastCommitInfoStyle_1.commitDetailHeader },
                    "Changed",
                    React.createElement("button", { className: typestyle_1.classes(GitStageStyle_1.changeStageButtonStyle, GitStageStyle_1.discardFileButtonStyle(this.props.currentTheme)), onClick: this.showDeleteCommit }),
                    React.createElement("button", { className: typestyle_1.classes(GitStageStyle_1.changeStageButtonStyle, SinglePastCommitInfoStyle_1.revertButtonStyle(this.props.currentTheme)), onClick: this.showResetToCommit })),
                React.createElement("div", null,
                    this.state.displayDelete && (React.createElement(ResetDeleteSingleCommit_1.ResetDeleteSingleCommit, { action: "delete", commitId: this.props.data.commit, path: this.props.topRepoPath, onCancel: this.hideDeleteCommit, refresh: this.props.refresh })),
                    this.state.displayReset && (React.createElement(ResetDeleteSingleCommit_1.ResetDeleteSingleCommit, { action: "reset", commitId: this.props.data.commit, path: this.props.topRepoPath, onCancel: this.hideResetToCommit, refresh: this.props.refresh }))),
                this.props.list.length > 0 &&
                    this.props.list.map((modifiedFile, modifiedFileIndex) => {
                        return (React.createElement("li", { className: SinglePastCommitInfoStyle_1.commitDetailFileStyle, key: modifiedFileIndex },
                            React.createElement("span", { className: `${FileItemStyle_1.fileIconStyle} ${FileList_1.parseFileExtension(modifiedFile.modified_file_path)}`, onDoubleClick: () => {
                                    window.open('https://github.com/search?q=' +
                                        this.props.data.commit +
                                        '&type=Commits&utf8=%E2%9C%93');
                                } }),
                            React.createElement("span", { className: SinglePastCommitInfoStyle_1.commitDetailFilePathStyle, onDoubleClick: () => {
                                    this.props.diff(this.props.app, modifiedFile.modified_file_path, this.props.data.commit, this.props.data.pre_commit);
                                } }, modifiedFile.modified_file_name)));
                    }))));
    }
}
exports.SinglePastCommitInfo = SinglePastCommitInfo;
